package cn.com.poc.human_resources.entity.resume;

import java.util.List;
import java.util.Map;


public class Info {
    private String name;
    private String currentPosition;
    private List<String> coreSkills;
    private Integer educationLevel;
    private String educationBackground;
    private Map<String, String> educationExperience;
    private String genderAndAge;
    private Map<String, List<String>> occupationalHistory;
    private List<String> other;
    private String workExperience;
    private String workLocation;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCurrentPosition() {
        return currentPosition;
    }

    public void setCurrentPosition(String currentPosition) {
        this.currentPosition = currentPosition;
    }

    public List<String> getCoreSkills() {
        return coreSkills;
    }

    public void setCoreSkills(List<String> coreSkills) {
        this.coreSkills = coreSkills;
    }

    public Integer getEducationLevel() {
        return educationLevel;
    }

    public void setEducationLevel(Integer educationLevel) {
        this.educationLevel = educationLevel;
    }

    public String getEducationBackground() {
        return educationBackground;
    }

    public void setEducationBackground(String educationBackground) {
        this.educationBackground = educationBackground;
    }

    public Map<String, String> getEducationExperience() {
        return educationExperience;
    }

    public void setEducationExperience(Map<String, String> educationExperience) {
        this.educationExperience = educationExperience;
    }

    public String getGenderAndAge() {
        return genderAndAge;
    }

    public void setGenderAndAge(String genderAndAge) {
        this.genderAndAge = genderAndAge;
    }

    public Map<String, List<String>> getOccupationalHistory() {
        return occupationalHistory;
    }

    public void setOccupationalHistory(Map<String, List<String>> occupationalHistory) {
        this.occupationalHistory = occupationalHistory;
    }

    public List<String> getOther() {
        return other;
    }

    public void setOther(List<String> other) {
        this.other = other;
    }

    public String getWorkExperience() {
        return workExperience;
    }

    public void setWorkExperience(String workExperience) {
        this.workExperience = workExperience;
    }

    public String getWorkLocation() {
        return workLocation;
    }

    public void setWorkLocation(String workLocation) {
        this.workLocation = workLocation;
    }
}
